Name:		git-review
Version:	1.25.0
Release:	%mkrel 2
Summary:	A git helper for integration with Gerrit

Group:		Development/Tools
License:	ASL 2.0
URL:		https://github.com/openstack-infra/git-review
Source0:	https://pypi.python.org/packages/source/g/%{name}/%{name}-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:	pkgconfig(python2)
BuildRequires:	python-setuptools
Requires:	git

%description
An extension for source control system git that creates and manages review
requests in the patch management system Gerrit. It replaces the rfc.sh script.

%prep
%setup -q

%build
%{__python2} setup.py build
sed -i 's/\r//' LICENSE

%install
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}

install -d %{buildroot}/%{_sysconfdir}/git-review/ 
install -d %{buildroot}/%{_mandir}/man1
install -m 0644 %{name}.1 %{buildroot}/%{_mandir}/man1/
xz -9 %{buildroot}/%{_mandir}/man1/%{name}.1

%files
%doc AUTHORS README.rst
%{_bindir}/git-review
%{_mandir}/man1/git-review.1.xz
%{python2_sitelib}/git_review-%{version}-*.egg-info/
%dir %{python2_sitelib}/git_review/
%{python2_sitelib}/git_review/*
%dir %{_sysconfdir}/git-review/


%changelog
* Fri Feb 19 2016 umeabot <umeabot> 1.25.0-2.mga6
+ Revision: 968912
- Mageia 6 Mass Rebuild

* Sat Jul 25 2015 philippem <philippem> 1.25.0-1.mga6
+ Revision: 857532
- update to 1.25.0

* Mon Jul 13 2015 bcornec <bcornec> 1.24-1.mga6
+ Revision: 853472
- Fix build process which was just wrong :-)
- updat to upstream git-review 1.24

* Wed Oct 15 2014 umeabot <umeabot> 1.23-7.mga5
+ Revision: 740699
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.23-6.mga5
+ Revision: 726338
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.23-5.mga5
+ Revision: 679591
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 1.23-4.mga5
+ Revision: 628218
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.23-3.mga4
+ Revision: 542599
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 pterjan <pterjan> 1.23-2.mga4
+ Revision: 497760
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Aug 25 2013 philippem <philippem> 1.23-1.mga4
+ Revision: 471716
- update to 1.23

* Mon May 27 2013 philippem <philippem> 1.21-1.mga4
+ Revision: 428933
- imported package git-review

